html {
  min-width: 250px;
  font-size: 14px;
  font-family: "Poppins", sans-serif;
}

html {
  position: relative;
  min-height: 100%;
}
.unauthenticated-body {
  background: linear-gradient(to bottom right, rgba(93, 63, 211, 0.75), rgba(69, 99, 255, 0.75))
}
.unauthenticated-content-container {
  position: absolute;
  width: 600px;
  top: 50%;
  left: 50%;
  -ms-transform: translateY(-50%);
  transform: translate3d(-50%, -50%, 0);
  aspect-ratio: 3 / 4;
  background: rgb(254, 254, 250);
  border-radius: 20px;
  box-shadow: 10px 10px 3px rgba(93, 63, 211, 0.9);
  z-index: 1000;
  padding: 15px;
  box-sizing: border-box;
  text-align: center;
}
.authenticated-content-container {
  margin-bottom: 100px;
}
#external-buttons ul {
  list-style: none;
  line-height: 55px;
  /*min-height: 55px;*/
}
#external-buttons ul li {
  display: inline-block;
  margin-left: 15px;
  /*height: 55px;*/
}
.external-provider-btn {
  height: 40px;
  width: auto;
  transition: height 0.1s linear;
}
/*.external-provider-btn:hover {
  height: 42px;
}*/
@media only screen and (max-width: 630px) {
  .unauthenticated-content-container {
    width: 100%;
    aspect-ratio: unset;
    height: 100%;
  }
  #external-buttons ul li {
    display: block;
  }
}
#unauthenticated-logo {
  width: 50%;
  height: auto;
  margin-top: 15px;
}
#host-panel-text {
  position: absolute;
  left: calc(50% + 50px);
  top: calc(50% - 160px);
  font-size: 20px;
  color: rgba(69, 99, 255, 1);
}

.unauthenticated-form {
  width: 400px;
  margin-left: 50%;
  transform: translateX(-50%);
  transition: height 0.5s linear;
  position: relative;
}
.show-1 {
  height: 60px;
}
.show-2 {
  height: 120px;
}
.show-4 {
  height: 240px;
}
.form-textbox {
  width: calc(100% - 16px);
  font-size: 16px;
  height: 22px;
  padding: 6px;
  border-radius: 10px;
  border: 1px solid rgba(150, 150, 150, 1);
  margin-top: 20px;
  transition: opacity 0.5s linear;
  outline: none;
}
.invalid-input {
  border: 1px solid red;
  animation: shake 0.1s linear;
  animation-iteration-count: 3;
}
.hidden {
  visibility: hidden;
  opacity: 0 !important;
}
.shown {
  visibility: visible;
  opacity: 1 !important;
}
.form-submit {
  float: right;
  border-radius: 10px;
  margin-top: 20px;
  width: 100px;
  height: 32px;
  border: none;
  background: rgba(69, 99, 255, 1);
  transition: background-color 0.3s ease-out;
  color: white;
}
.form-submit:hover {
  background-color: rgba(246, 92, 102, 0.5);
}
.button-container {
  width: 400px;
  margin-left: 50%;
  transform: translateX(-50%); 
}
#message-box {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 250px;
  height: 150px;
  z-index: -1;
  transition: left 1s ease-out;
  color: palevioletred;
  background: rgb(254, 254, 250);
  border-radius: 20px;
  box-shadow: 10px 10px 3px rgba(93, 63, 211, 0.9);
}
.authenticated-body {
  background: linear-gradient(to bottom right, rgba(93, 63, 211, 0.75), rgba(69, 99, 255, 0.75))
}
#hostpanel-heading-container {
  margin-top: 3%;
  margin-left: 50%;
  transform: translateX(-50%);
  width: 500px;
  border-radius: 15px;
  background: rgb(254, 254, 250);
  padding: 15px;
  box-shadow: 10px 10px 3px rgba(93, 63, 211, 0.9);
}
#hostpanel-tile-layout {
  /*position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  */
  margin-left: 50%;
  margin-top: 30px;
  transform: translateX(-50%);
  border-radius: 15px;
  box-shadow: 10px 10px 3px rgba(93, 63, 211, 0.9);
}
.msgbox {
  width: 250px;
  background: linear-gradient(to bottom right, rgba(93, 63, 211, 1), rgba(69, 99, 255, 1));
  text-align: center;
  border-radius: 15px;
  transition-property: opacity, left, top;
  transition-duration: 1s;
  transition-timing-function: linear;
  padding: 15px;
  position: absolute;
  color: white;
  top: 20px;
  box-shadow: 10px 10px 3px rgba(93, 63, 211, 0.9);
}
.msgbox-show {
  opacity: 1;
  left: 450px;
}
.msgbox-hide {
  opacity: 0;
  left: 300px;
  pointer-events: none;
}
@media only screen and (max-width: 1100px) {
  .msgbox-show {
    opacity: 1;
    top: -165px;
    left: 50%;
    transform: translateX(-50%);
  }
  .msgbox-hide {
    opacity: 0;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    pointer-events: none;
  }
}
#known-email-msgbox {
  height: 80px;
}
#email-not-known-msgbox {
  height: 100px;
  width: 300px !important;
}
#new-password-msgbox {
  height: 220px;
  width: 350px !important;
}
#new-password-msgbox ul {
  text-align: left;
}


@keyframes shake {
  0% { transform: translateX(0) }
  25% { transform: translateX(5px) }
  50% { transform: translateX(-5px) }
  75% { transform: translateX(5px) }
  100% { transform: translateX(0) }
}